This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1313152 - post script fail when dnf --setopt=tsflags=nodocs install audit
post script fail when dnf --setopt=tsflags=nodocs install audit
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: audit (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 00:54 EST by Yu Watanabe
Modified: 2016-03-18 11:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 11:25:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yu Watanabe 2016-03-01 00:54:05 EST
Description of problem:

The current implementation to set default rules does not work if the system is installed with dnf option '--setopt=tsflags=nodocs' or anaconda kickstart option '%packages --nodocs'. If the options set, the files under /usr/share/doc are not installed. So, the post script fail.
%%%%%%%%%%
  Installing  : audit-2.5-3.fc24.x86_64                                 497/584 
cp: cannot stat '/usr/share/doc/audit/rules/10-no-audit.rules': No such file or directory
%%%%%%%%%%

Version-Release number of selected component (if applicable):

audit-2.5-3.fc24

How reproducible:

Always

Steps to Reproduce:
1. dnf --setopt=tsflags=nodocs install audit
2.
3.

Actual results:

Install finishes without any error message.

Expected results:

The post script outputs the above error message.

Additional info:
Comment 1 Steve Grubb 2016-03-18 11:25:21 EDT
I fixed the postscript to be conditional. Pushed to rawhide. Thanks for reporting the issue.

Note You need to log in before you can comment on or make changes to this bug.